import { ApolloLink, FetchResult, NextLink, Observable, Operation } from 'apollo-link';
/**
 * Apollo link to preload GraphQL image fields annotated with @preload.
 */
export default class ApolloLinkPreload extends ApolloLink {
    request(operation: Operation, forward?: NextLink): Observable<FetchResult> | null;
}
